﻿@model ProjectUni.Models.Result

@{
    ViewBag.Title = "CustomDetails";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);">
        <div class="box-body" style="margin:0 0 0 2%;">
            <h2 style="color:white">CustomDetails</h2>

            <div>
                <h4 style="color:white">Result</h4>
                <hr />
                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.topics.TName)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.topics.TName)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.UserEmail)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.UserEmail)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.TotalQues)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.TotalQues)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.CorrectAns)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.CorrectAns)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.WrontAns)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.WrontAns)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.TotalMarks)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.TotalMarks)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.ObtainedMarks)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.ObtainedMarks)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Status)
                    </dt>

                    <dd>
                        @{ if (Model.Status.ToString() == "True")
                            {
                                <p>Pass</p>
                            }
                            else
                            {
                                <p>Fail</p>
                            }
                        }
                    </dd>

                </dl>
            </div>
            <p>
                @Html.ActionLink("Back to List", "Index")
            </p>
        </div>
    </div>
</div>

<script type="text/javascript">
    history.pushState(null, null, location.href);
    window.onpopstate = function () {
        history.go(1);
    };
</script>